<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.3" maxVersion="1.9" type="org.netbeans.modules.form.forminfo.JPanelFormInfo">
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace max="-2" attributes="0"/>
              <Component id="jScrollpane" min="-2" pref="476" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Component id="jPanel2" alignment="0" max="32767" attributes="0"/>
                  <Group type="102" alignment="0" attributes="0">
                      <Component id="jScrollPane1" pref="0" max="32767" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                  </Group>
              </Group>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace max="32767" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Component id="jScrollpane" min="-2" pref="593" max="-2" attributes="0"/>
                  <Group type="102" attributes="0">
                      <Component id="jScrollPane1" min="-2" pref="415" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="jPanel2" min="-2" max="-2" attributes="0"/>
                  </Group>
              </Group>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Container class="javax.swing.JScrollPane" name="jScrollpane">
      <Properties>
        <Property name="horizontalScrollBarPolicy" type="int" value="31"/>
        <Property name="verticalScrollBarPolicy" type="int" value="22"/>
        <Property name="inheritsPopupMenu" type="boolean" value="true"/>
      </Properties>

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
      <SubComponents>
        <Container class="javax.swing.JPanel" name="saleProductsPanel">
          <Properties>
            <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
              <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
                <EtchetBorder/>
              </Border>
            </Property>
            <Property name="cursor" type="java.awt.Cursor" editor="org.netbeans.modules.form.editors2.CursorEditor">
              <Color id="Default Cursor"/>
            </Property>
          </Properties>

          <Layout class="org.netbeans.modules.form.compat2.layouts.DesignGridLayout">
            <Property name="columns" type="int" value="3"/>
            <Property name="rows" type="int" value="1"/>
          </Layout>
        </Container>
      </SubComponents>
    </Container>
    <Container class="javax.swing.JScrollPane" name="jScrollPane1">

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
      <SubComponents>
        <Component class="javax.swing.JTable" name="tblProduct">
          <Properties>
            <Property name="model" type="javax.swing.table.TableModel" editor="org.netbeans.modules.form.editors2.TableModelEditor">
              <Table columnCount="4" rowCount="4">
                <Column editable="true" title="Title 1" type="java.lang.Object"/>
                <Column editable="true" title="Title 2" type="java.lang.Object"/>
                <Column editable="true" title="Title 3" type="java.lang.Object"/>
                <Column editable="true" title="Title 4" type="java.lang.Object"/>
              </Table>
            </Property>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
    <Container class="javax.swing.JPanel" name="jPanel2">

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Group type="102" alignment="1" attributes="0">
                          <EmptySpace min="0" pref="0" max="32767" attributes="0"/>
                          <Component id="lblCash" min="-2" pref="53" max="-2" attributes="0"/>
                          <EmptySpace min="-2" pref="30" max="-2" attributes="0"/>
                          <Component id="txtCash" min="-2" pref="135" max="-2" attributes="0"/>
                          <EmptySpace min="-2" pref="27" max="-2" attributes="0"/>
                          <Component id="lblTotal" min="-2" pref="152" max="-2" attributes="0"/>
                      </Group>
                      <Component id="jPanel1" alignment="1" max="32767" attributes="0"/>
                  </Group>
                  <EmptySpace max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="lblCash" alignment="3" max="32767" attributes="0"/>
                      <Component id="txtCash" alignment="3" max="32767" attributes="0"/>
                      <Component id="lblTotal" max="32767" attributes="0"/>
                  </Group>
                  <EmptySpace type="unrelated" max="-2" attributes="0"/>
                  <Component id="jPanel1" min="-2" pref="120" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="javax.swing.JLabel" name="lblTotal">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="TH SarabunPSK" size="18" style="1"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="4"/>
            <Property name="text" type="java.lang.String" value="&#xe23;&#xe27;&#xe21; : 0.0 "/>
          </Properties>
        </Component>
        <Container class="javax.swing.JPanel" name="jPanel1">

          <Layout>
            <DimensionLayout dim="0">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" attributes="0">
                      <EmptySpace max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Group type="102" attributes="0">
                              <EmptySpace min="0" pref="0" max="32767" attributes="0"/>
                              <Group type="103" groupAlignment="0" max="-2" attributes="0">
                                  <Group type="102" attributes="0">
                                      <Component id="btnCustomer" min="-2" max="-2" attributes="0"/>
                                      <EmptySpace max="-2" attributes="0"/>
                                      <Component id="btnDiscount" min="-2" pref="116" max="-2" attributes="0"/>
                                  </Group>
                                  <Component id="lblInfo" max="32767" attributes="0"/>
                              </Group>
                              <EmptySpace max="-2" attributes="0"/>
                              <Component id="btnDelete" min="-2" pref="62" max="-2" attributes="0"/>
                          </Group>
                          <Group type="102" attributes="0">
                              <Component id="lblTel" min="-2" pref="109" max="-2" attributes="0"/>
                              <EmptySpace max="-2" attributes="0"/>
                              <Component id="txtTel" max="32767" attributes="0"/>
                          </Group>
                      </Group>
                      <EmptySpace type="separate" max="-2" attributes="0"/>
                      <Component id="btnBuy" min="-2" pref="117" max="-2" attributes="0"/>
                      <EmptySpace min="-2" pref="19" max="-2" attributes="0"/>
                  </Group>
              </Group>
            </DimensionLayout>
            <DimensionLayout dim="1">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" alignment="1" attributes="0">
                      <EmptySpace max="32767" attributes="0"/>
                      <Group type="103" groupAlignment="1" attributes="0">
                          <Component id="btnBuy" alignment="1" max="32767" attributes="0"/>
                          <Group type="102" alignment="1" attributes="0">
                              <EmptySpace min="0" pref="0" max="32767" attributes="0"/>
                              <Group type="103" groupAlignment="1" attributes="0">
                                  <Component id="txtTel" min="-2" max="-2" attributes="0"/>
                                  <Component id="lblTel" alignment="1" min="-2" pref="28" max="-2" attributes="0"/>
                              </Group>
                              <EmptySpace type="unrelated" max="-2" attributes="0"/>
                              <Group type="103" groupAlignment="3" attributes="0">
                                  <Component id="btnCustomer" alignment="3" min="-2" max="-2" attributes="0"/>
                                  <Component id="btnDiscount" alignment="3" min="-2" max="-2" attributes="0"/>
                                  <Component id="btnDelete" alignment="3" min="-2" max="-2" attributes="0"/>
                              </Group>
                          </Group>
                      </Group>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="lblInfo" min="-2" pref="34" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                  </Group>
              </Group>
            </DimensionLayout>
          </Layout>
          <SubComponents>
            <Component class="javax.swing.JButton" name="btnBuy">
              <Properties>
                <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
                  <Font name="TH SarabunPSK" size="24" style="1"/>
                </Property>
                <Property name="text" type="java.lang.String" value="&#xe0a;&#xe33;&#xe23;&#xe30;&#xe40;&#xe07;&#xe34;&#xe19;"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnBuyActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="btnDelete">
              <Properties>
                <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
                  <Font name="TH SarabunPSK" size="18" style="1"/>
                </Property>
                <Property name="text" type="java.lang.String" value="&#xe25;&#xe1a;"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnDeleteActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JTextField" name="txtTel">
              <Properties>
                <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
                  <Font name="TH SarabunPSK" size="18" style="1"/>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="lblInfo">
              <Properties>
                <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
                  <Font name="TH SarabunPSK" size="18" style="1"/>
                </Property>
                <Property name="text" type="java.lang.String" value="&#xe2a;&#xe21;&#xe32;&#xe0a;&#xe34;&#xe01;: -"/>
              </Properties>
            </Component>
            <Component class="javax.swing.JButton" name="btnCustomer">
              <Properties>
                <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
                  <Font name="TH SarabunPSK" size="18" style="1"/>
                </Property>
                <Property name="text" type="java.lang.String" value="&#xe40;&#xe0a;&#xe47;&#xe04;&#xe2a;&#xe21;&#xe32;&#xe0a;&#xe34;&#xe01;"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnCustomerActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JLabel" name="lblTel">
              <Properties>
                <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
                  <Font name="TH SarabunPSK" size="18" style="1"/>
                </Property>
                <Property name="text" type="java.lang.String" value="&#xe40;&#xe1a;&#xe2d;&#xe23;&#xe4c;&#xe42;&#xe17;&#xe23;&#xe28;&#xe31;&#xe1e;&#xe17;&#xe4c;&#xe2a;&#xe21;&#xe32;&#xe0a;&#xe34;&#xe01;:"/>
              </Properties>
            </Component>
            <Component class="javax.swing.JButton" name="btnDiscount">
              <Properties>
                <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
                  <Font name="TH SarabunPSK" size="18" style="1"/>
                </Property>
                <Property name="text" type="java.lang.String" value="&#xe2a;&#xe48;&#xe27;&#xe19;&#xe25;&#xe14; 10 &#xe1a;&#xe32;&#xe17;"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnDiscountActionPerformed"/>
              </Events>
            </Component>
          </SubComponents>
        </Container>
        <Component class="javax.swing.JTextField" name="txtCash">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="TH SarabunPSK" size="18" style="1"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="4"/>
            <Property name="text" type="java.lang.String" value="0.0"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="lblCash">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="TH SarabunPSK" size="18" style="1"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="4"/>
            <Property name="text" type="java.lang.String" value="&#xe23;&#xe31;&#xe1a;&#xe40;&#xe07;&#xe34;&#xe19;:"/>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
  </SubComponents>
</Form>
